> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourthwall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Post Tags

<Note>
  **OAuth scope:** `memberships_read`

  API keys have full access to this endpoint.
</Note>


## OpenAPI

````yaml /openapi/membership.json GET /open-api/v1.1/memberships/tags/posts
openapi: 3.1.0
info:
  title: OpenAPI
  version: 0.0.1
servers:
  - url: https://api.fourthwall.com
    description: Production server
security: []
paths:
  /open-api/v1.1/memberships/tags/posts:
    get:
      tags:
        - Tags
      summary: List Post Tags
      operationId: list-post-tags
      parameters:
        - name: X-ShopId
          in: header
          required: false
          schema:
            type: string
        - name: page
          in: query
          required: false
          schema:
            type: integer
        - name: limit
          in: query
          required: false
          schema:
            type: integer
        - name: query[field]
          in: query
          description: '''Name'' or ''Ids'''
          required: false
          schema:
            type: string
        - name: query[name]
          in: query
          required: false
          schema:
            type: string
        - name: query[ids][]
          in: query
          style: form
          required: false
          schema:
            type: array
            items:
              type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response.V1.Tag.Posts'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response.Common.Error.Validation'
      security:
        - oauth:
            - memberships_read
        - basicAuth: []
components:
  schemas:
    Response.V1.Tag.Posts:
      type: object
      properties:
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Response.V1.Tag.PostWithPosts'
        pagination:
          $ref: '#/components/schemas/Response.V1.Pagination'
      required:
        - tags
        - pagination
      title: Posts
    Response.Common.Error.Validation:
      type: object
      properties:
        parameters:
          type: object
          example: '{ "post_id": [ "is missing" ] }'
        body:
          type: object
          example: '{ "discount": { "percentOff": [ "is missing" ] } }'
      title: Validation
    Response.V1.Tag.PostWithPosts:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        postsCount:
          type: integer
        thumbnail:
          type: object
          properties:
            url:
              type: string
          required:
            - url
      required:
        - id
        - name
        - postsCount
      title: Post With Posts
    Response.V1.Pagination:
      type: object
      properties:
        pages:
          type: integer
        limit:
          type: integer
        page:
          type: integer
        total:
          type: integer
      required:
        - pages
        - limit
        - page
      title: Pagination
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: >-
            https://auth.staging.fourthwall.com/auth/realms/Fourthwall/protocol/openid-connect/auth
          scopes:
            memberships_read: memberships_read
            memberships_write: memberships_write
    basicAuth:
      type: http
      scheme: basic

````